Package de.gebit.integrity.exceptions

## Class AbortExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.exceptions.AbortExecutionException

- All Implemented Interfaces:
    `Serializable`

      public class AbortExecutionException
      extends RuntimeException

  This special runtime exception can be thrown from fixture methods in order to trigger an immediate abortion of Integrity test execution. Generally, test execution is deterministic and all tests/calls must run through. Simply killing the process by calling System.exit() or similar isn't such a good idea, because in that case, no test result will be written, as the test runner does never reach that part of test execution. This exception is the solution for this problem: just throw it from a fixture method if you want to have Integrity cancel further test execution. It will also work fine if this is thrown in a fork - test execution on the master is killed as well in this case.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortExecutionException()` | Creates a new instance.
    `AbortExecutionException​(String aMessage)` | Creates a new instance.
    `AbortExecutionException​(String aMessage, Throwable aCause)` | Creates a new instance.
    `AbortExecutionException​(Throwable aCause)` | Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortExecutionException

          public AbortExecutionException()

      Creates a new instance.

    - #### AbortExecutionException

          public AbortExecutionException​(String aMessage,
                                         Throwable aCause)

      Creates a new instance.
      Parameters:
        `aMessage` -
        `aCause` -

    - #### AbortExecutionException

          public AbortExecutionException​(String aMessage)

      Creates a new instance.
      Parameters:
        `aMessage` -

    - #### AbortExecutionException

          public AbortExecutionException​(Throwable aCause)

      Creates a new instance.
      Parameters:
        `aCause` -